import 'package:flutter/material.dart';

import 'app_colors.dart';

// Box Decorations
BoxDecoration fieldDecoration = const BoxDecoration(color: whiteColor);
BoxDecoration disabledFieldDecoration = BoxDecoration(
    borderRadius: BorderRadius.circular(5), color: Colors.grey[100]);

LinearGradient primaryGradient = const LinearGradient(
    colors: [
      primaryGrStartColor,
      primaryGrEndColor,
    ],
    begin: FractionalOffset(0.0, 0.0),
    end: FractionalOffset(1.0, 0.0),
    stops: [0.0, 1.0]);

// Field Variables
const double fieldHeight = 55;
const double smallFieldHeight = 40;
const double inputFieldBottomMargin = 30;
const double inputFieldSmallBottomMargin = 0;
EdgeInsets fieldPadding = const EdgeInsets.symmetric(horizontal: 8.0);
EdgeInsets largeFieldPadding =
    const EdgeInsets.symmetric(horizontal: 15, vertical: 15);

// Text Variables

const TextStyle dropDownTradeTypeTextStyle =
    TextStyle(color: Colors.black54, fontWeight: FontWeight.bold, fontSize: 24);

// Box Shadow
BoxShadow buttonShadowBox =
    const BoxShadow(blurRadius: 10, color: shadowColor, offset: Offset(0, 4));
BoxShadow inputShadowBox =
const BoxShadow(blurRadius: 1, color: shadowColor, offset: Offset(0, 2));
BoxShadow cardShadowBox = const BoxShadow(
    blurRadius: 3, color: Color.fromRGBO(0, 0, 0, 0.15), offset: Offset(0, 1));
